com.creamtec.ajaxswing.gui

## Class AjaxSwingAppletStub

- java.lang.Object
- - com.creamtec.ajaxswing.gui.AjaxSwingAppletStub

- All Implemented Interfaces:
    java.applet.AppletStub

      public class AjaxSwingAppletStub
      extends java.lang.Object
      implements java.applet.AppletStub

  AjaxSwing implementation of AppletStub interface. An instance of AjaxSwingAppletStub is returned to applets running in AjaxSwing

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingAppletStub()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appletResize(int width, int height)`
    `java.applet.AppletContext` | `getAppletContext()`
    `java.net.URL` | `getCodeBase()`
    `java.net.URL` | `getDocumentBase()`
    `static AjaxSwingAppletStub` | `getInstance()`
    `java.lang.String` | `getParameter(java.lang.String name)`
    `boolean` | `isActive()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxSwingAppletStub

          public AjaxSwingAppletStub()

  - ### Method Detail

    - #### isActive

          public boolean isActive()

      Specified by:
        `isActive` in interface `java.applet.AppletStub`

    - #### getDocumentBase

          public java.net.URL getDocumentBase()

      Specified by:
        `getDocumentBase` in interface `java.applet.AppletStub`

    - #### getCodeBase

          public java.net.URL getCodeBase()

      Specified by:
        `getCodeBase` in interface `java.applet.AppletStub`

    - #### getParameter

          public java.lang.String getParameter(java.lang.String name)

      Specified by:
        `getParameter` in interface `java.applet.AppletStub`

    - #### getAppletContext

          public java.applet.AppletContext getAppletContext()

      Specified by:
        `getAppletContext` in interface `java.applet.AppletStub`

    - #### appletResize

          public void appletResize(int width,
                          int height)

      Specified by:
        `appletResize` in interface `java.applet.AppletStub`

    - #### getInstance

          public static AjaxSwingAppletStub getInstance()

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.